<template>
  <div class="maker ml-auto mr-auto">

    <input name="userid" type="hidden" :value="userId">

    <div class="top">

      <div>
        <avatar :username="commentUserName"></avatar> 
        <p class="date mt-auto mb-auto ">
          {{commentUserName}}
          
          <br> 
          <small>{{date}}</small>
        </p>
      </div>
      

      <b-button v-if="commentUserId == userId || userRole == 'admin'" variant="danger" type="submit" size="sm">
          <b-icon icon="trash" aria-hidden="true"></b-icon>
      </b-button>
    </div>

    <hr>

    <p class="text"> {{text}} </p>
  
    <hr>
  </div>
</template>

<script>
  export default {
    props: {
      //Fecha en la que se hizo el comentario
      date: String,

      //Id del usuario que hizo el comentario
      commentUserId: String,

      //Nombr del usuario que hizo el comentario
      commentUserName: {
        type: String,
        default: "User name"
      },

      //Texto
      text: {
        type: String,
        default: "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis."
      },

      //Id del usuario registrado
      userId:String,

      //Rol del usuario registrado
      userRole:String
    },
    data() {
      return {
      }
    }
  }
</script>

<style lang="sass" scoped>
  hr
    max-width: 400px

  .maker:hover
    transform: translatey(-10px) translatex(-5px) scale(1.05)

  .maker
    border-radius: 10px
    padding: 20px
    max-width: 600px
    background-color: aliceblue
    margin: 20px 0px

    .top
      display: flex
      justify-content: space-between
      padding: 5px

      div
        display: flex

      .btn
        max-height: 30px !important

    .text
      word-wrap: break-word
      text-align: left
      padding-left: 20px

    .date
      margin: 10px
      text-align: left

</style>